Skip to main content
GET
/
v4
/
account
/
orders
/
{orderId}
/
status
Read order status
curl --request GET \
  --url https://api.proxyscrape.com/v4/account/orders/{orderId}/status \
  --header 'api-token: <api-key>'
{
  "success": true,
  "data": {
    "order_id": "e905531c-a2cb-42a4-8df1-182040f369ae",
    "status": "processed",
    "type": "new_datacenter_shared",
    "created_at": 1781256420,
    "updated_at": 1781256827,
    "price": "26.10",
    "currency": "USD",
    "paid_with_credit": true,
    "subaccount": {
      "AccountID": "711d0eff-db25-439e-83dd-e8b81c38cb70",
      "AccountType": "datacenter_shared",
      "label": "Account 8 (Premium)",
      "time_added": 1781256827
    }
  }
}

Authorizations

api-token
string
header
required

API key. Create and manage keys at /v4/account/api-keys or in the dashboard.

Path Parameters

orderId
string<uuid>
required

Order ID returned by POST /v4/account/orders/create.

Response

Order status. subaccount is null while the order is still being processed; once status === 'processed' the field is populated with the new subaccount's AccountID, AccountType, label, and time_added.

success
boolean
Example:

true

data
object